templates:
- freestyle
- base

variables:
  description: rtai patched linux kernel headers
  access: private

  repository: http://projects.cit-ec.uni-bielefeld.de/git/mekabot.linux-headers-rtai.git
  scm.credentials: projects.cit-ec
  branches:
  - v3.14.17

  extra-provides:
  - nature: freestyle
    target: linux-headers-rtai
    version: 3.14.17

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - rsync

  shell.command: |
    ${next-value}
    mkdir -p ${toolkit.dir}/usr/src
    rsync -av linux-headers-3.14.17-rtai-4.1 ${toolkit.dir}/usr/src/
    rm -rf ${toolkit.dir}/usr/src/linux #clean old link
    ln -s ${toolkit.dir}/usr/src/linux-headers-3.14.17-rtai-4.1 ${toolkit.dir}/usr/src/linux
